Summary: Device driver for i810 GTT for 2.x kernels
Name: I810Gtt
Version: 0.2
Release: 4
Source: I810Gtt-0.2.tar.gz
License: XFree86 License
Group: Drivers
 
%description

This package installs the i810 gtt device driver to allow access to
the i810 graphics memory management hardware.  It has been tested on
2.2 and 2.3 kernels and sets the MTRR settings correctly.  It should
also work with 2.0 kernels, but has not been tested there.
Also includes support for the 815 chipset.

%prep
%setup -c

%build
make OPT_CFLAGS="$RPM_OPT_FLAGS"

%install
make RPM_INSTALL="1" install | grep 'INSTALLED:' | awk '{print $2}' > modules-file-list
echo /usr/local/include/agpgart.h >> modules-file-list

%post
if [ "$1" = 1 ]; then
        if [ -e /etc/modules.conf ]; then
                mconf="/etc/modules.conf"
        else
                mconf="/etc/conf.modules"
        fi
	if [ `grep -c agpgart $mconf` = "0" ]; then 
		echo "# Added by i810 install" >> $mconf
		echo alias char-major-10-175 agpgart >> $mconf
	fi
fi

%postun
if [ "$1" = 0 ]; then
	if [ -e /etc/modules.conf ]; then
		mconf="/etc/modules.conf"
	else
		mconf="/etc/conf.modules"
	fi
	if [ -e /lib/modules/`uname -r`/misc/agpgart.o.SAVED ]; then
	   mv /lib/modules/`uname -r`/misc/agpgart.o.SAVED /lib/modules/`uname -r`/misc/agpgart.o
	else
	   grep -v agpgart $mconf | grep -v i810 > /etc/conf.modules.tmp
	   mv /etc/conf.modules.tmp $mconf
	fi
	if [ -e /usr/local/include/agpgart.h.SAVED ]; then
	   mv /usr/local/include/agpgart.h.SAVED /usr/local/include/agpgart.h
	fi
fi
/sbin/depmod -a

%verifyscript
if [ -e /etc/modules.conf ]; then
	mconf="/etc/modules.conf"
else
	mconf="/etc/conf.modules"
fi
teststring=`grep 'alias char-major-10-175 agpgart' $mconf`; \
if [ -z "$teststring" ]; then
	echo "agpgart entry not included in $mconf"
fi

%files -f modules-file-list

%verify(not mode user group) /dev/agpgart



